
%define 	module	pyHnj

Summary:	pyHnj - a Python wrapper for libhnj library
Summary(pl.UTF-8):	pyHnj - pythonowy wrapper dla biblioteki libhnj
Name:		python-%{module}
Version:	0.6
Release:	6
License:	GPL v2
Group:		Libraries/Python
Source0:	http://hkn.eecs.berkeley.edu/~dyoo/python/pyHnj/%{module}-%{version}.tar.gz
# Source0-md5:	1e777539150c5b6a853dce3a10e64398
URL:		http://hkn.eecs.berkeley.edu/~dyoo/python/pyHnj/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pyHnj is an extension wrapper for the libhnj hyphenation library.

%description -l pl.UTF-8
pyHnj jest pythonowym wrapperem do biblioteki libhnj.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

%py_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README.txt
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/pyHnj-*.egg-info
%dir %{_datadir}/pyHnj
%{_datadir}/pyHnj/hyphen.mashed
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyHnj.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 263c99f
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5edae99
- automatic change: use py_build/py_install macros

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ec23d98
- release 5

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 9708c4c
- release 4

* Thu Apr 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 05caf6a
- unified (BRs before Rs)

* Thu Apr 05 2007 Marcin Banasiak <marcin.banasiak@gmail.com> d6c9a22
- added missing dir
- packaged *.egg-info
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 399031d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 80412b1
- converted to UTF-8

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> 2253c52
- adapterized (killed trailing spaces/tabs)

* Mon Aug 30 2004 Michal Chruszcz <mchruszcz@gmail.com> f465005
- removed BR: libhnj-devel
- missing file in %%files
- cosmetics

* Sat Aug 28 2004 Marcin Gajda <m.gajda@functional-software.com> 15e2965
- initial PLD release

